oracle.ord.hadoop.mapreduce

## Class OrdFrameProcessor<K1,V1,K2,V2>

- java.lang.Object
- - oracle.ord.hadoop.mapreduce.OrdFrameProcessor<K1,V1,K2,V2>

-     public abstract class OrdFrameProcessor<K1,V1,K2,V2>
      extends java.lang.Object

  OrdFrameProcessor is an abstrat class which allows processing video frames in the mapper of a mapreduce job.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.hadoop.conf.Configuration` | `m_conf`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrdFrameProcessor(org.apache.hadoop.conf.Configuration conf)` Creates an OrdFrameProcessor object that processes video frames in the mapper of a mapreduce job.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract K2` | `getKey()` Returns the key after processing a video frame in the mapper of a mapreduce job.
    `abstract V2` | `getValue()` Returns the value after processing a video frame in the mapper of a mapreduce job.
    `abstract void` | `processFrame(K1 key, V1 value)` Processes the key-value pair of a video frame in the mapper of a mapreduce job.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### m_conf

          protected org.apache.hadoop.conf.Configuration m_conf

  - ### Constructor Detail

    - #### OrdFrameProcessor

          public OrdFrameProcessor(org.apache.hadoop.conf.Configuration conf)

      Creates an OrdFrameProcessor object that processes video frames in the mapper of a mapreduce job.
      Parameters:
        `conf` - the Configuration of a mapreduce job, in which the processing parameters are stored.

  - ### Method Detail

    - #### getKey

          public abstract K2 getKey()

      Returns the key after processing a video frame in the mapper of a mapreduce job.
      Returns:
        the key after processing

    - #### getValue

          public abstract V2 getValue()

      Returns the value after processing a video frame in the mapper of a mapreduce job.
      Returns:
        the value after processing

    - #### processFrame

          public abstract void processFrame(K1 key,
                          V1 value)

      Processes the key-value pair of a video frame in the mapper of a mapreduce job.

Copyright � 2015, Oracle and/or its affiliates. All rights reserved.